## com.thaiopensource.validate.schematron
Class XalanSchemaReaderFactory

    java.lang.Object
      com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory
          com.thaiopensource.validate.schematron.XalanSchemaReaderFactory

All Implemented Interfaces:
  SchemaReaderFactory, TransformerFactoryInitializer

    public class XalanSchemaReaderFactory

extends SchematronSchemaReaderFactory

Constructor Summary
`XalanSchemaReaderFactory()`

Method Summary
`void` `initTransformerFactory(TransformerFactory factory)`
`SAXTransformerFactory` `newTransformerFactory()`

Methods inherited from class com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory
`createSchemaReader, getOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XalanSchemaReaderFactory

    public XalanSchemaReaderFactory()

Method Detail

### newTransformerFactory

    public SAXTransformerFactory newTransformerFactory()

  Overrides:
    `newTransformerFactory` in class `SchematronSchemaReaderFactory`

### initTransformerFactory

    public void initTransformerFactory(TransformerFactory factory)

  Specified by:
    `initTransformerFactory` in interface `TransformerFactoryInitializer`
  Overrides:
    `initTransformerFactory` in class `SchematronSchemaReaderFactory`